> ## Documentation Index
> Fetch the complete documentation index at: https://docs.captide.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Documents

> Retrieves a list of financial and corporate disclosures available in Captide that match user-specified parameters. The response includes key document metadata such as the associated company's ticker symbol(s), document type, release date, fiscal year and quarter, the Captide-assigned document ID, and the associated company ID.



## OpenAPI

````yaml GET /api/v1/documents/list
openapi: 3.1.0
info:
  title: Captide REST API
  description: >-
    API for accessing financial disclosures and AI-powered financial document
    analysis.
  version: 0.3.13
servers:
  - url: https://rest-api.captide.co
    description: Prod server
security: []
paths:
  /api/v1/documents/list:
    get:
      tags:
        - Documents
      summary: List documents
      description: >-
        Retrieves a list of financial and corporate disclosures available in
        Captide that match user-specified parameters. The response includes key
        document metadata such as the associated company's ticker symbol(s),
        document type, release date, fiscal year and quarter, the
        Captide-assigned document ID, and the associated company ID.
      operationId: list_documents_api_v1_documents_list_get
      parameters:
        - name: documentCategories
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Comma-separated list of document categories. For detailed
              descriptions and complete list, please refer to [this
              page](/coverage).


              Valid values: `annual-financial-report`,
              `interim-financial-report`, `financial-attachments`,
              `annual-activity-report`, `interim-activity-report`,
              `compliance-report`, `historical-performance-summary`,
              `letter-to-shareholders`, `earnings-release`, `current-report`,
              `earnings-presentation`, `earnings-call-transcript`,
              `investor-event-presentation`, `investor-event-transcript`,
              `shareholder-meeting-circular`, `shareholder-meeting-resolutions`,
              `governance-report`, `compensation-report`, `governance-policies`,
              `esg-report`, `esg-assessment`, `insider-share-transactions`,
              `shareholder-dealing-disclosure`, `share-issuance-notice`,
              `share-buyback-notice`, `share-capital-disclosure`,
              `initial-offering-prospectus`, `follow-on-offering-prospectus`,
              `merger-offering-prospectus`, `employee-share-plan-prospectus`,
              `tender-offer-disclosure`
            examples:
              - >-
                annual-financial-report,interim-financial-report,earnings-release
            title: Documentcategories
          description: >-
            Comma-separated list of document categories. For detailed
            descriptions and complete list, please refer to [this
            page](/coverage).


            Valid values: `annual-financial-report`, `interim-financial-report`,
            `financial-attachments`, `annual-activity-report`,
            `interim-activity-report`, `compliance-report`,
            `historical-performance-summary`, `letter-to-shareholders`,
            `earnings-release`, `current-report`, `earnings-presentation`,
            `earnings-call-transcript`, `investor-event-presentation`,
            `investor-event-transcript`, `shareholder-meeting-circular`,
            `shareholder-meeting-resolutions`, `governance-report`,
            `compensation-report`, `governance-policies`, `esg-report`,
            `esg-assessment`, `insider-share-transactions`,
            `shareholder-dealing-disclosure`, `share-issuance-notice`,
            `share-buyback-notice`, `share-capital-disclosure`,
            `initial-offering-prospectus`, `follow-on-offering-prospectus`,
            `merger-offering-prospectus`, `employee-share-plan-prospectus`,
            `tender-offer-disclosure`
        - name: secFormTypes
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Comma-separated list of SEC form types to retrieve. This parameter
              is only applicable to companies that file with the SEC. To check
              if a company files with the SEC, use the filesWithSec field from
              the /api/v1/companies/list endpoint.


              Valid values: `10-K`, `10-K/A`, `10-Q`, `10-Q/A`, `8-K`, `8-K/A`,
              `6-K`, `6-K/A`, `20-F`, `20-F/A`, `40-F`, `40-F/A`, `S-1`,
              `S-1/A`, `F-1`, `F-1/A`, `S-3`, `S-3/A`, `F-3`, `F-3/A`, `S-4`,
              `S-4/A`, `F-4`, `F-4/A`, `S-8`, `F-8`, `F-8 POS`, `DEF 14A`,
              `DEFA14A`, `DEFM14A`, `DEF 14C`, `DEFA14C`, `DEFM14C`
            examples:
              - 10-K,10-Q
            title: Secformtypes
          description: >-
            Comma-separated list of SEC form types to retrieve. This parameter
            is only applicable to companies that file with the SEC. To check if
            a company files with the SEC, use the filesWithSec field from the
            /api/v1/companies/list endpoint.


            Valid values: `10-K`, `10-K/A`, `10-Q`, `10-Q/A`, `8-K`, `8-K/A`,
            `6-K`, `6-K/A`, `20-F`, `20-F/A`, `40-F`, `40-F/A`, `S-1`, `S-1/A`,
            `F-1`, `F-1/A`, `S-3`, `S-3/A`, `F-3`, `F-3/A`, `S-4`, `S-4/A`,
            `F-4`, `F-4/A`, `S-8`, `F-8`, `F-8 POS`, `DEF 14A`, `DEFA14A`,
            `DEFM14A`, `DEF 14C`, `DEFA14C`, `DEFM14C`
        - name: companyTickers
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Comma-separated list of tickers of the companies filing the
              documents (supports both base tickers like 'ITX' and suffixed
              tickers like 'ITX.MC')
            examples:
              - STO.AX,ASML.AS
            title: Companytickers
          description: >-
            Comma-separated list of tickers of the companies filing the
            documents (supports both base tickers like 'ITX' and suffixed
            tickers like 'ITX.MC')
        - name: companyIds
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Comma-separated list of unique IDs of the companies filing the
              documents. Use /api/v1/companies/list to find the company ID
            examples:
              - >-
                77848abe-a215-41b7-8950-86e89ea1fadc,91f6c6da-478f-4161-b451-aa5177cc7fb9
            title: Companyids
          description: >-
            Comma-separated list of unique IDs of the companies filing the
            documents. Use /api/v1/companies/list to find the company ID
        - name: fiscalQuarter
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 4
                minimum: 1
              - type: 'null'
            description: Fiscal quarter to filter documents (1-4)
            examples:
              - 1
            title: Fiscalquarter
          description: Fiscal quarter to filter documents (1-4)
        - name: fiscalYear
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Fiscal year to filter documents (e.g., 2024)
            examples:
              - 2024
            title: Fiscalyear
          description: Fiscal year to filter documents (e.g., 2024)
        - name: startDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Start date for filtering documents (ISO 8601 format)
            examples:
              - '2025-01-01'
            title: Startdate
          description: Start date for filtering documents (ISO 8601 format)
        - name: endDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: End date for filtering documents (ISO 8601 format)
            examples:
              - '2025-12-31'
            title: Enddate
          description: End date for filtering documents (ISO 8601 format)
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 1000
                minimum: 1
              - type: 'null'
            description: Maximum number of records to return
            examples:
              - 100
            default: 100
            title: Limit
          description: Maximum number of records to return
      responses:
        '200':
          description: Document list retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DocumentListResponse'
                title: Response List Documents Api V1 Documents List Get
              examples:
                documents:
                  summary: Example documents list
                  value:
                    - id: 888255fb-9487-4ce0-a625-992325c18e62
                      documentCategory: earnings-release
                      title: >-
                        Santos Ltd. First Half Results 2025 with Barossa and
                        Pikka Project Updates
                      description: >-
                        Santos Ltd. presents strong first-half results with
                        sales revenue of $2.6 billion, net profit after tax of
                        $439 million, and underlying profit of $508 million,
                        with Barossa and Pikka projects on track.
                      date: '2025-08-25'
                      fiscalQuarter: 2
                      fiscalYear: 2025
                      fiscalPeriod: half-year
                      companyId: 77848abe-a215-41b7-8950-86e89ea1fadc
                      companyName: Santos Ltd.
                      companyTickers:
                        - STO.AX
                      metadata: {}
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - APIKeyHeader: []
components:
  schemas:
    DocumentListResponse:
      properties:
        id:
          type: string
          title: Id
          description: Unique document ID
        documentCategory:
          type: string
          title: Documentcategory
          description: >-
            Document category code as stored in the database. For detailed
            category descriptions, please refer to [this page](/coverage).
        secFormType:
          anyOf:
            - type: string
            - type: 'null'
          title: Secformtype
          description: >-
            Document SEC form type (only applicable if the document is an SEC
            filing)
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
          description: Captide-generated document title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Captide-generated document description
        date:
          anyOf:
            - type: string
            - type: 'null'
          title: Date
          description: >-
            Date the document relates to (e.g., the press release date for a
            current report, or the fiscal period end date for annual and interim
            reports)
        fiscalQuarter:
          anyOf:
            - type: integer
            - type: 'null'
          title: Fiscalquarter
          description: Fiscal quarter the document relates to (from 1 to 4)
        fiscalYear:
          anyOf:
            - type: integer
            - type: 'null'
          title: Fiscalyear
          description: Fiscal year the document relates to (e.g., 2024)
        fiscalPeriod:
          anyOf:
            - type: string
            - type: 'null'
          title: Fiscalperiod
          description: >-
            Fiscal period the document relates to. Valid values: `year`,
            `multi-year`, `month`, `half-year`, `quarter`, or null
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
          description: Language of the document in ISO 639-1 code
        companyId:
          type: string
          title: Companyid
          description: Unique ID of the company filing the document
        companyName:
          anyOf:
            - type: string
            - type: 'null'
          title: Companyname
          description: Name of the company filing the document
        companyTickers:
          items:
            type: string
          type: array
          title: Companytickers
          description: Tickers of the company filing the document
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
          description: Additional document metadata (e.g., accessionNumber, 8kItems)
      type: object
      required:
        - id
        - documentCategory
        - companyId
      title: DocumentListResponse
      description: Response model for document list results.
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
      description: Standard error response model for all API endpoints.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````